{% unless settings.shipping_calculator == 'Disabled' %}
<div id="shipping-calculator" class="mt20 pl15 pr15">
  <h3 class="fs16 mt0 mb0 pt15 pb15" data-togglehandleto=".collapsable-shipcalc-wrap">{{ settings.shipping_calculator_heading | default: 'Get shipping estimates' }}</h3>
  <div class="collapsable-shipcalc-wrap hidden pt10 bt1">
    <p class="field">
      <label for="address_country">Country</label>
      <select id="address_country" class="selectize-on-load" name="address[country]" data-default="{% if shop.customer_accounts_enabled and customer %}{{ customer.default_address.country }}{% elsif settings.shipping_calculator_default_country != '' %}{{ settings.shipping_calculator_default_country }}{% endif %}">{{ country_option_tags }}</select>
    </p>
    <p class="field" id="address_province_container" style="display:none;">
      <label for="address_province" id="address_province_label">Province</label>
      <select id="address_province" class="selectize-on-load" name="address[province]" data-default="{% if shop.customer_accounts_enabled and customer and customer.default_address.province != '' %}{{ customer.default_address.province }}{% endif %}"></select>
    </p>  
    <p class="field">
      <label for="address_zip">Zip/Postal Code</label>
      <input type="text" id="address_zip" class="form-control like-table wauto" name="address[zip]"{% if shop.customer_accounts_enabled and customer %} value="{{ customer.default_address.zip }}"{% endif %} size="7" />
    </p>
    <p class="field">
      <input type="button" class="get-rates btn btn-default dark w100p mt10 mb5" value="{{ settings.shipping_calculator_submit_button_label | default: 'Calculate shipping' }}" />
    </p>
    <div id="wrapper-response"></div>
  </div>
</div>
{% endunless %}

<script id="shipping-calculator-response-template" type="text/template">
  <p id="shipping-rates-feedback" <% if (success) { %> class="mb10 alert alert-success" <% } else { %> class="mb10 alert alert-danger" <% } %>>
  <% if (success) { %>
    <% if (rates.length > 1) { %> 
    <strong><%- rates.length %> shipping rates</strong> available for <%- address %>, starting at <%= rates[0].price %>.
    <% } else if (rates.length == 1) { %>
    There is one shipping rate available for <%- address %>.
    <% } else { %>
    We do not ship to this destination.
    <% } %>
  <% } else { %>
    <%- errorFeedback %>
  <% } %>
  </p>
  <ul id="shipping-rates" class="mb20 fs14">
    <% for (var i=0; i<rates.length; i++) { %>
    <li><span class="shipping-service"><%- rates[i].name %></span><span class="shipping-cost"><%= rates[i].price %></span></li>
    <% } %>
  </ul> 
</script>

<!--[if lte IE 8]>
<style> #shipping-calculator { display: none; } </style>
<![endif]-->
